#include <bits/stdc++.h>
using namespace std;

struct Freelancer{
	int income;
	double maxTax;
};

bool compareFreelancers(Freelancer a, Freelancer b)
{
    return (a.maxTax > b.maxTax);
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	std::cout << std::setprecision(4) << std::fixed;

	int n;
	cin >> n;
	Freelancer freelancers[n];
	for (int i = 0; i < n; i++) {
		//scanf("%d %lf", &freelancers[i].income, &freelancers[i].maxTax);
		cin >> freelancers[i].income >> freelancers[i].maxTax;
	} 
	sort(freelancers, freelancers + n, compareFreelancers);
	long long sum = 0;
	double currentTaxIncome, maxTaxIncome = 0;
	for (int i = 0; i < n; i++) {
		sum += freelancers[i].income;
		currentTaxIncome = sum * freelancers[i].maxTax / 100;
		if (currentTaxIncome > maxTaxIncome) maxTaxIncome = currentTaxIncome;
	}

	//printf("%lf", maxTaxIncome);
	cout << maxTaxIncome;

	return 0;
}